> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Create bulk operation export

POST https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/bulk_operations/entries/export
Content-Type: application/vnd.contentful.management.v1+json

Creates an async export operation for entries matching an optional `query` (max 10,000 entries). Poll the bulk operation endpoint until `sys.status` is `completed`, then download from `result.files`.

Reference: https://contentful.com/developers/docs/references/content-management-api/bulk-entry-content-operations/create-bulk-operation-export

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — Alphanumeric `id` of the space.
- `environment_id` (string, required) — Alphanumeric `id` of the environment. Defaults to `master`.

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 201

Created - Bulk export operation created successfully

- `map from string to any`

## Errors

### 403 Forbidden Error

Forbidden - Bulk operations are not enabled for this space

- `map from string to any`

### 404 Not Found Error

Not Found

- `map from string to any`

### 409 Conflict Error

Conflict - A bulk operation is already in progress for this space

- `map from string to any`

### 422 Unprocessable Entity Error

Unprocessable Entity - Validation error

- `map from string to any`

### 500 Internal Server Error

Internal Server Error

- `map from string to any`

## Examples

**Request**

```json
{
  "query": {
    "content_type": "article",
    "select": "sys.id,fields.title",
    "sys.updatedAt[gte]": "2026-01-01T00:00:00Z"
  }
}
```

**Response**

```json
{
  "payload": {
    "query": {
      "content_type": "article",
      "select": "sys.id,fields.title",
      "sys.updatedAt[gte]": "2026-01-01T00:00:00Z"
    }
  },
  "sys": {
    "bulkType": "EntriesExport",
    "createdAt": "2026-01-20T10:59:53.963Z",
    "createdBy": {
      "sys": {
        "id": "6Ynia2PFrjsO15piM8eljZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "environment": {
      "sys": {
        "id": "master",
        "linkType": "Environment",
        "type": "Link"
      }
    },
    "id": "3JPPci1LiUOeR13oVS7RmB",
    "space": {
      "sys": {
        "id": "ncbxgqx5v0xe",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "status": "in_progress",
    "type": "BulkContentOperation",
    "updatedAt": "2026-01-20T10:59:53.963Z"
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```javascript JavaScript
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```